#1616 closed defect (fixed)

Is rtems_heap_allocate_aligned_with_boundary needed?

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: bharath.s.jois@… Blocked By:
Blocking:

Description

rtems_heap_allocate_aligned_with_boundary() is showing up as unreferenced
by any test. A grep shows it is not referenced at all. And it looks
amazingly like a subset of rtems_memalign.c.

$ grep -r rtems_heap_allocate_aligned_with_boundary .
./ChangeLog?: rtems_heap_allocate_aligned_with_boundary().
./libcsupport/include/rtems/malloc.h:void *rtems_heap_allocate_aligned_with_boundary(
./libcsupport/src/rtems_malloc.c:void *rtems_heap_allocate_aligned_with_boundary(

Is this routine needed? If not, then we need to remove it.

Change History (4)

comment:1 Changed on Jul 14, 2010 at 9:46:24 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber

comment:2 Changed on Jul 15, 2010 at 12:13:57 PM by Joel Sherrill

Cc: Bharath Suri added

comment:3 Changed on Jul 15, 2010 at 12:37:56 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Added test case to CVS head (libtests/malloctest).

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.